%define major 9
%define libname %mklibname mtp %{major}
%define devname %mklibname mtp -d

Summary:	Implementation of Microsoft's Media Transfer Protocol
Name:		libmtp
Version:	1.1.13
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://libmtp.sourceforge.net/
Source0:	https://sourceforge.net/projects/libmtp/files/libmtp/%{version}/libmtp-%{version}.tar.gz
Patch0:		libmtp-1.1.6.xperia.patch
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libusb-1.0)

%description
libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP)
in the form of a library suitable primarily for POSIX compliant
operating systems. We implement MTP Basic, the stuff proposed for
standardization. MTP Enhanced is for Windows only, if we implement
it, well that depends...

It was initially based on (forked from) the great libptp2 library
by Mariusz Woloszyn but has since been moved over to follow Marcus
Meissners and Hubert Figuere's libgphoto2 fork of libptp2 (or is libptp2
a fork of libgphoto?). The core implementation is identical to
libgphoto2, there is just a different API adapted to portable media
players.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}-utils >= %{EVRD}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%{_libdir}/libmtp.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%package doc
Summary:	Libmtp documentation
Group:		Documentation

%description doc
This package contains documentation of libmtp.

%files doc
%doc %{_datadir}/doc/%{name}/html

#----------------------------------------------------------------------------

%package utils
Summary:	Tools provided by libmtp
Group:		System/Libraries
Provides:	mtp-utils = %{EVRD}

%description utils
This package contains various tools provided by libmtp.

%files utils
%{_bindir}/*
%config(noreplace) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
/lib/udev/mtp-probe
/lib/udev/hwdb.d/69-libmtp.hwdb
/lib/udev/rules.d/*.rules

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--disable-static \
	--enable-doxygen \
	--with-udev=/lib/udev \
	--with-udev-rules=60-libmtp.rules
%make

%install
%makeinstall_std

#-- FEDORA COPY
mkdir -p %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop
install -p -m 644 libmtp.fdi %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
#-- FEDORA COPY
# Replace links with relative links
rm -f %{buildroot}%{_bindir}/mtp-delfile
rm -f %{buildroot}%{_bindir}/mtp-getfile
rm -f %{buildroot}%{_bindir}/mtp-newfolder
rm -f %{buildroot}%{_bindir}/mtp-sendfile
rm -f %{buildroot}%{_bindir}/mtp-sendtr
pushd %{buildroot}%{_bindir}
ln -sf mtp-connect mtp-delfile
ln -sf mtp-connect mtp-getfile
ln -sf mtp-connect mtp-newfolder
ln -sf mtp-connect mtp-sendfile
ln -sf mtp-connect mtp-sendtr
popd

mkdir -p %{buildroot}%{_datadir}/doc/%{name}/html
mv -f %{buildroot}%{_datadir}/doc/%{name}-%{version}/html/* %{buildroot}/%{_datadir}/doc/%{name}/html/

%changelog

* Tue Sep 19 2017 alekseyz <a.zimin@rosalinux.ru> 1.1.13-1
- (86c0011) Merge pull request #1 from import/libmtp:rosa2016.1
- (86c0011) Updated to 1.1.13


